#!/bin/sh  
# \
exec oagwish "$0" "$@"

set auto_path [linsert $auto_path 0  /usr/local/oag/apps/lib/$env(HOST_ARCH)]
set auto_path [linsert $auto_path 0 /usr/local/oag/lib_patch/$env(HOST_ARCH)]
APSStandardSetup

# change these two values to customize to your installation:
# this should be 0 or 1
set connectedToNetwork 1

set env(EPICS_CA_AUTO_ADDR_LIST) NO
if {($tcl_platform(platform) == "unix")} {
    set connectedToNetwork 1
    # if no network, set this to anything
    set myIP [exec hostname --ip-address]
    #set myIP 127.0.0.1
    set env(PATH) ".:$env(PATH)"
} else {
    #set myIP [info hostname]
    set myIP 127.0.0.1
    set env(PATH) ".;$env(PATH)"
}

if {$connectedToNetwork == 1 } {
 puts "Connected to network"
 set env(EPICS_CA_ADDR_LIST) $myIP
}

if {($tcl_platform(platform) == "unix")} {
    exec simServer -prefix borland: &
} else {
    exec oagwish simServer -prefix borland: &
}

if {$connectedToNetwork == 0 } {
 puts "Not connected to network"
 set env(EPICS_CA_ADDR_LIST) 127.0.0.1
}

if {($tcl_platform(platform) == "unix")} {
    exec clientUtilities -prefix borland: &
    exec demos -prefix borland: &
} else {
    exec oagwish clientUtilities -prefix borland: &
    exec oagwish demos -prefix borland: &
}
